classification
Title: 2to3 does not fail as early as possible.
Type: performance Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: LambertDW, benjamin.peterson, georg.brandl
Priority: low Keywords:

Created on 2008-12-08 16:55 by LambertDW, last changed 2010-08-21 23:59 by georg.brandl. This issue is now closed.

Messages (4)
msg77327 - (view) Author: David W. Lambert (LambertDW) Date: 2008-12-08 16:55
$ #rm -f file_that_is_not_here.py
$ 2to3 file_that_is_not_here.py


The program spends considerable time preparing itself only to discover
that it cannot open the file.
msg77385 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-12-09 02:12
I'm tempted to close this as a "won't fix". For 99.9% of cases, it would
only be annoying to check for the presence of a file before starting up.
msg77391 - (view) Author: David W. Lambert (LambertDW) Date: 2008-12-09 07:30
Granted, this isn't the hottest issue circulating.
msg114616 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 23:59
Closing.
History
Date User Action Args
2010-08-21 23:59:36georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg114616

resolution: wont fix
2008-12-09 07:30:26LambertDWsetmessages: + msg77391
2008-12-09 02:12:05benjamin.petersonsetpriority: low
nosy: + benjamin.peterson
messages: + msg77385
2008-12-08 16:55:05LambertDWcreate